package cn.com.qmth.dp.examcloud.oe.modules.findreduplicatequestion;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.web.support.SpringContextHolder;

@Service
public class ExportReduplicateQuestionService {
	private String rootOrgId = "17351";
	private String paperName = "230517";
	private int threadCount=4;

	public void start() {
		Date s=new Date();
		ExportQuesReduplicateProducer pr = SpringContextHolder.getBean(ExportQuesReduplicateProducer.class);
		try {
			Map<String, Object> param=new HashMap<>();
			param.put("rootOrgId", rootOrgId);
			param.put("paperName", paperName);
			pr.startDispose(ExportQuesReduplicateConsumer.class, threadCount, param);
		} catch (Exception e) {
			throw new RuntimeException(e);

		}
		Date e=new Date();
		System.out.println("time:" + (e.getTime()-s.getTime()));
	}

}
